Loading...
Searching...
No Matches
caf::mailbox_element_view< Ts > Class Template Referencefinal

Provides a view for treating arbitrary data as message element. More...

`#include <mailbox_element.hpp>`

## Public Member Functions

| mailbox_element_view (strong_actor_ptr &&x0, message_id x1, forwarding_stack &&x2, Ts &... xs)
type_erased_tuple & | content () override
const type_erased_tuple & | content () const override
message | move_content_to_message () override
message | copy_content_to_message () const override

## Detailed Description

template<class... Ts>
class caf::mailbox_element_view< Ts >

Provides a view for treating arbitrary data as message element.

## Member Function Documentation

## content() [1/2]

template<class... Ts>

const type_erased_tuple & caf::mailbox_element_view< Ts >::content | ( |  | ) | const

override virtual

Implements caf::message_view.

## content() [2/2]

template<class... Ts>

type_erased_tuple & caf::mailbox_element_view< Ts >::content | ( |  | ) |

override virtual

Implements caf::message_view.

## copy_content_to_message()

template<class... Ts>

message caf::mailbox_element_view< Ts >::copy_content_to_message | ( |  | ) | const

override virtual

Implements caf::message_view.

## move_content_to_message()

template<class... Ts>

message caf::mailbox_element_view< Ts >::move_content_to_message | ( |  | ) |

override virtual

Implements caf::message_view.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/mailbox_element.hpp